Subject: Re: bug#69562: 29.2.50; go-ts-mode does not handle comments with fill-paragraph

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Mar 2024 12:55:49 +0200

> From: Ankit Gadiya <[email-masked]>
> Date: Thu, 7 Mar 2024 15:45:02 +0530
> 
> * emacs -Q main.go
> * M-x go-ts-mode
> * Highlight the full docstring line with Mouse.
> * M-x fill-paragraph

Thanks.  Now it's clear.

> I think the difference between Dmitry and me was that I was highlighting the
> docstring and Dmitry was not. I tried the same steps but without highlighting
> just with the cursor somewhere in the docstring line and it worked as expected.
> I believe this is what Dmitry observed as well. This is the content of my buffer
> without highlighting the step.

Well, fill-paragraph is documented to behave differently when the
region is active.  Did you have any special reason to highlight the
comment, instead of just typing M-q inside the comment?